namespace _2024._11._21
{
    internal class Program
    {
        static void Main(string[] args)
        {
            LancoltLista lista = new LancoltLista();

            lista.Hozzaad(10);
            lista.Hozzaad(20);
            lista.Hozzaad(30);
            lista.Hozzaad(40);

            Console.WriteLine("Lista elemei:");
            lista.Kiir();

            Console.WriteLine("Elem törlése (20):");
            lista.Torol(20);
            lista.Kiir();


            LinkedList<string> lancoltlista = new LinkedList<string>();
            lancoltlista.AddLast("vár");
            lancoltlista.AddLast("kávé");
            lancoltlista.AddLast("autó");
            lancoltlista.RemoveLast();

            LinkedListNode<string> csomopont = lancoltlista.First;
            Console.WriteLine(csomopont.List);
            lancoltlista.AddAfter(csomopont, "2.hely");


            LinkedListNode<string> keresettcsomopont = lancoltlista.Find("var");
            Console.WriteLine(keresettcsomopont);
            while (csomopont != null)
            {
                Console.WriteLine(csomopont.Value);
                csomopont = csomopont.Next;
            }
        }
    }
}
